#pragma once

class PersistentProperties
{

public:
    PersistentProperties() {}
	
    std::map<AgString, DataTable> getProperties()
	{
	}
    DataTable getProperty(const AgString& name)
	{
	}
	
private:
    std::map<AgString, DataTable> properties;

};
